package webagency;

import javax.naming.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;
import agency.*;

public class UseCustomerTag extends TagSupport {
	private String login;

	public String getLogin() {
		return login;
	}

	public void setLogin(String login) {
		this.login = login;
	}

	public int doStartTag() throws JspException {
		try {
		   InitialContext ic = new InitialContext();
		   AdvertiseHome advertiseHome = (AdvertiseHome)ic.lookup("java:comp/env/ejb/Advertise");
		   Advertise advertise = advertiseHome.create(login);
		   pageContext.setAttribute("cust", advertise, PageContext.REQUEST_SCOPE);
		}
		catch (Exception ex) {
			throw new JspTagException("UseCustomerTag: "+ex);
		}
		return SKIP_BODY;
	 }

	public int doEndTag() {
		return EVAL_PAGE;
	}
}

