package webagency;

import javax.naming.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;
import agency.*;

public class UseAgencyTag extends TagSupport {
	private String login;

	public int doStartTag() throws JspException {
		try {
		   InitialContext ic = new InitialContext();
		   AgencyHome agencyHome = (AgencyHome)ic.lookup("java:comp/env/ejb/Agency");
		   Agency agency = agencyHome.create();
		   pageContext.setAttribute("agency", agency, PageContext.REQUEST_SCOPE);
		}
		catch (Exception ex) {
			throw new JspTagException("UseAgencyTag: "+ex);
		}
		return SKIP_BODY;
	 }

	public int doEndTag() {
		return EVAL_PAGE;
	}
}

