<%@ page isErrorPage="true" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@page import="java.util.*, java.io.* " %>
<HTML>
  <HEAD>
    <LINK rel="stylesheet" type="text/css" href='<c:url value="/agency.css"  />' >
    <TITLE>J2EE in 21 Days Agency Web Application: Error Page</TITLE>
  </HEAD>
  <BODY>
    <H1>Agency Error Page</H1>
    <H2>There has been an error in processing your request.</H2>
    The following information describes the error:

    <H3>Request Parameters</H3>
    <TABLE border="1">
      <c:forEach var="parameter" items="${paramValues}">
        <TR>
          <TD>${parameter.key}</TD>
          <c:forEach var="paramValue" items="${parameter.value}">
            <TD>${paramValue}</TD>
          </c:forEach>
        </TR>
      </c:forEach>
    </TABLE>

    <H3>Request Attributes</H3>
    <TABLE border="1">
      <c:forEach var="attribute" items="${pageContext.request.attributeNames}" >
        <TR>
          <TD>${attribute}</TD>
          <TD>${requestScope[attribute]}</TD>
        </TR>
      </c:forEach>
      </TABLE>

    <H3>Session Attributes</H3>
    <TABLE border="1">
      <c:forEach var="attribute" items="${pageContext.session.attributeNames}" >
        <TR>
          <TD>${attribute}</TD>
          <TD>${sessionScope[attribute]}</TD>
        </TR>
      </c:forEach>
    </TABLE>

    <H3>Exception</H3>
<%=exception%> <%=exception.getMessage()%>
    <H3>Stack Trace</H3>
<%
  StringWriter buf = new StringWriter();
  PrintWriter sout = new PrintWriter(buf);
  exception.printStackTrace(sout);
  out.println(buf.toString());
%>
  </BODY>
</HTML>

