<HTML>
  <%@include file="header.jsf" %>
  <BODY>
    <H1>${agency.agencyName}</H1>

    <H2>Administration</H2>

    <H3>Modify Existing Location</H3>
    <FORM action="modifyLocation">
      <TABLE>
        <TR>
          <TD>Select Location</TD>
          <TD>
            <SELECT name="location">
              <c:forEach var="location" items="${agency.locations}" >
                <OPTION>${location}</OPTION>
              </c:forEach>
            </SELECT>
          </TD>
        </TR>
        <TR>
          <TD colspan="2"><input type="submit" value="Show Location"></TD>
        </TR>
      </TABLE>
    </FORM>

    <H3>Create Location</H3>
    <FORM action="createLocation">
      <TABLE>
        <TR>
          <TD>Name:</TD>
          <TD><INPUT type="text" name="location"></TD>
        </TR>
        <TR>
          <TD>Description:</TD>
          <TD><INPUT type="text" name="description"></TD>
        </TR>
        <TR>
          <TD colspan="2"><INPUT type="submit" value="Create Location"></TD>
        </TR>
      </TABLE>
    </FORM>

    <H3>Modify Existing Skill</H3>
    <FORM action="modifySkill">
      <TABLE>
        <TR>
          <TD>Select Skill</TD>
          <TD>
            <SELECT name="skill">
              <c:forEach var="skill" items="${agency.skills}" >
                <OPTION>${skill}</OPTION>
              </c:forEach>
            </SELECT>
          </TD>
        </TR>
        <TR>
          <TD colspan="2"><input type="submit" value="Show Skill"></TD>
        </TR>
      </TABLE>
    </FORM>

    <H3>Create Skill</H3>
    <FORM action="createSkill">
      <TABLE>
        <TR>
          <TD>Name:</TD>
          <TD><INPUT type="text" name="skill"></TD>
        </TR>
        <TR>
          <TD>Description:</TD>
          <TD><INPUT type="text" name="description"></TD>
        </TR>
        <TR>
          <TD colspan="2"><INPUT type="submit" value="Create Skill"></TD>
        </TR>
      </TABLE>
    </FORM>
    
    <H3>Modify Existing Customer</H3>
    <FORM action='<c:url value="/customer/advertise" />' >
      <TABLE>
        <TR>
          <TD>Select Customer</TD>
          <TD>
            <SELECT name="customer">
              <c:forEach var="customer" items="${agency.customers}" >
                <OPTION>${customer}</OPTION>
              </c:forEach>
            </SELECT>
          </TD>
        </TR>
        <TR><TD colspan="2"><input type="submit" value="Show Customer"></TD></TR>
      </TABLE>
    </FORM>

    <H3>Modify Existing Applicant</H3>
    <FORM action='<c:url value="/applicant/register" />'>
      <TABLE>
        <TR>
          <TD>Select Applicant</TD>
          <TD>
            <SELECT name="applicant">
              <c:forEach var="applicant" items="${agency.applicants}" >
                <OPTION>${applicant}</OPTION>
              </c:forEach>
            </SELECT>
          </TD>
        </TR>
        <TR>
          <TD colspan="2"><INPUT type="submit" value="Show Applicant"></TD>
        </TR>
      </TABLE>
    </FORM>


    <%@include file="footer.jsf" %>
    </BODY>
</HTML>
