<HTML>
  <%@include file="header.jsf" %>
  <BODY>
    <H1>${agency.agencyName}</H1>

    <H2>Customers</H2>

    <H3>Existing Customer</H3>
    <FORM action='<c:url value="/customer/advertise" />' >
      <P>Existing customer: <input type="submit" value="Login"></P>
    </FORM>

    <H3>Create Customer</H3>
    <FORM action='<c:url value="/customer/createCustomer" />'>
      <TABLE>
        <TR>
          <TD>Login:</TD>
          <TD><INPUT type="text" name="login"></TD>
        </TR>
        <TR>
          <TD>Name:</TD>
          <TD><INPUT type="text" name="name"></TD>
        </TR>
        <TR>
          <TD>Email:</TD>
          <TD><INPUT type="text" name="email"></TD>
        </TR>
        <TR>
          <TD colspan="2"><INPUT type="submit" value="Create Customer"></TD>
        </TR>
      </TABLE>
    </FORM>

    <H2>Applicants</H2>

    <H3>Existing Applicant</H3>
    <FORM action='<c:url value="/applicant/register" />'>
      <TABLE>
        <TR>
          <TD>Select Applicant</TD>
          <TD>
            <SELECT name="applicant">
              <c:forEach var="applicant" items="${agency.applicants}" >
                <OPTION>${applicant}</OPTION>
              </c:forEach>
            </SELECT>
          </TD>
        </TR>
        <TR>
          <TD colspan="2"><INPUT type="submit" value="Show Applicant"></TD>
        </TR>
      </TABLE>
    </FORM>

    <H3>Create Applicant</H3>
    <FORM action='<c:url value="/applicant/createApplicant" />' >
    <TABLE>
      <TR>
        <TD>Login:</TD>
        <TD><INPUT type="text" name="login"></TD>
      </TR>
      <TR>
        <TD>Name:</TD>
        <TD><INPUT type="text" name="name"></TD>
      </TR>
      <TR>
        <TD>Email:</TD>
        <TD><INPUT type="text" name="email"></TD>
      </TR>
      <TR>
        <TD colspan="2"><INPUT type="submit" value="Create Applicant"></TD>
      </TR>
    </TABLE>
    </FORM>

    <H2>Administration</H2>
    <FORM action='<c:url value="/admin/admin" />' >
      <INPUT type="submit" value="Administration Form">
    </FORM>
  </BODY>
</HTML>
