<HTML>
  <%@include file="header.jsf" %>
  <agency:useApplicant login="${param.applicant}"/>

  <BODY>
    <H1>${agency.agencyName}</H1>

    <H2>Applicant details for: ${app.login}</H2>
    <FORM action='<c:url value="/applicant/updateApplicant"/>'>
      <INPUT type="hidden" name="login" value="${app.login}">
      <TABLE>
        <TR>
          <TD>Login:</TD>
          <TD>${app.login}</TD>
        </TR>
        <TR>
          <TD>Name:</TD>
          <TD><input type="text" name="name" value="${app.name}"></TD>
        </TR>
        <TR>
          <TD>Email:</TD>
          <TD><input type="text" name="email" value="${app.email}"></TD>
        </TR>
        <TR>
          <TD>Summary:</TD>
          <TD><input type="text" name="summary" value="${app.summary}"></TD>
        </TR>
          <TR>
            <TD>Location:</TD>
            <TD>
              <SELECT name="location">
                <c:forEach var="location" items="${agency.locations}" >
                  <agency:option option="${location}" selected="${app.location}"/>
                </c:forEach>
              </SELECT>
            </TD>
          </TR>
          <TR>
            <TD>Skills:</TD>
            <TD>
              <SELECT name="skills" multiple size="6">
                <c:forEach var="agencySkill" items="${agency.skills}" >
                  <agency:option option="${agencySkill}" selected="${app.skills}"/>
                </c:forEach>
              </SELECT>
            </TD>
          </TR>
      </TABLE>
      <INPUT type="submit" value="Update Details">
      <INPUT type="reset">
    </FORM>
    <FORM action='<c:url value="/applicant/deleteApplicant"/>'>
      <INPUT type="hidden" name="applicant" value="${app.login}">
      <INPUT type="submit" value="Delete Applicant ${app.login}">
    </FORM>
    <%@include file="footer.jsf" %>
  </BODY>
</HTML>
